$(document).ready(function () {
    $("#register_importation").click(function () {
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var importation_havaleCode = $("#importation_havaleCode").val();
        var importation_amount = $("#importation_amount").val();
        var importation_date = $("#importation_date").val();
        var importation_sender = $("#importation_sender").val();
        var importation_receiver = $("#importation_receiver").val();
        var importation_productCode = $("#pCode").html();
        var product_amount = $("#pAmount").html();

        $.ajax({
            url: "add_importation",
            type: "POST",
            data: {
                importation_productCode: importation_productCode,
                importation_havaleCode: importation_havaleCode,
                importation_amount: importation_amount,
                importation_date: importation_date,
                importation_sender: importation_sender,
                importation_receiver: importation_receiver,
                product_amount: product_amount
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا فیلد های خالی رو پر کنید");
                } else if (data == "product_noFind") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> جستجوی محصول");
                    $(".result p").html("   لطفا قبل از ارسال داده ها ، محصول مورد نظر خود را از فرم سمت چپ صفحه جستجو کنید");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   مشخصات محصول وارداتی با موفقیت ثبت شد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "editNo") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات ناموفق");
                    $(".result p").html("   مشخصات محصول وارداتی با موفقیت ثبت شد ولی متاسفانه مقدار کل محصول در سیستم ویرایش نشد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه مشخصات محصول وارداتی ثبت نشد");
                }
            }
        })
    })
    $("#register_export").click(function () {
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var export_havaleCode = $("#export_havaleCode").val();
        var export_amount = $("#export_amount").val();
        var export_date = $("#export_date").val();
        var export_sender = $("#export_sender").val();
        var export_receiver = $("#export_receiver").val();
        var export_productCode = $("#pCode").html();
        var product_amount = $("#pAmount").html();

        $.ajax({
            url: "add_export",
            type: "POST",
            data: {
                export_productCode: export_productCode,
                export_havaleCode: export_havaleCode,
                export_amount: export_amount,
                export_date: export_date,
                export_sender: export_sender,
                export_receiver: export_receiver,
                export_productCode: export_productCode,
                product_amount: product_amount
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا فیلد های خالی رو پر کنید");
                } else if (data == "product_noFind") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> جستجوی محصول");
                    $(".result p").html("   لطفا قبل از ارسال داده ها ، محصول مورد نظر خود را از فرم سمت چپ صفحه جستجو کنید");
                }
                else if (data == "product_notEnough") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> جستجوی محصول");
                    $(".result p").html("   مقدار خروجی محصول شما بیشتر موجودی انبار است ");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   مشخصات محصول خروجی با موفقیت ثبت شد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                } else if (data == "editNo") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات ناموفق");
                    $(".result p").html("   مشخصات محصول خروجی با موفقیت ثبت شد ولی متاسفانه مقدار کل محصول در سیستم ویرایش نشد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه مشخصات محصول خروجی ثبت نشد");
                }
            }
        })
    })
    $("#search_product").click(function () {
        $(".result1").css("display", "block");
        $(".result1 h4").html("<i class='fa fa-search  fa-spin'></i> در حال جستجو");
        $(".result1 p").html("  صبور باشید در حال جستجو ...  !");
        var p_code = $("#p_code").val();
        $.ajax({
            url: "get_product",
            type: "POST",
            data: {p_code: p_code},
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "noFind") {
                    $(".result1").css("display", "block");
                    $(".result1 h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result1 p").html("   محصول مورد نظر شما با این شناسه ثبت نشده است");
                    $("#pName").html();
                    $("#pUnit").html();
                    $("#pCategory").html();
                    $("#pPrice").html();
                    $("#pCode").html();
                    $("#pAmount").html();


                } else if (data == "empty") {
                    $(".result1").css("display", "block");
                    $(".result1 h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result1 p").html(" لطفا شناسه محصول را وارد کنید ");
                    $("#pName").html();
                    $("#pUnit").html();
                    $("#pCategory").html();
                    $("#pPrice").html();
                    $("#pCode").html();
                    $("#pAmount").html();

                }
                else {
                    $(".result1").css("display", "block");
                    $(".result1 h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result1 p").html("   جستجو برای محصول موفق بود ");
                    $("#pName").html(data['product_name']);
                    $("#pUnit").html(data['unit_name']);
                    $("#pCategory").html(data['category_name']);
                    $("#pPrice").html(data['product_price']);
                    $("#pCode").html(data['product_code']);
                    $("#pAmount").html(data['product_amount']);

                }
            }
        })
    })


    $("#register_category").click(function () {
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var category_name = $("#name").val();
        $.ajax({
            url: "add_category",
            type: "POST",
            data: {category_name: category_name},
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا نام دسته را وارد کنید");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   دسته با موفقیت ایجاد شد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);

                }
                else if (data == "exist") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن دسته");
                    $(".result p").html("   دسته زیر از قبل ایجاد شده است");

                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه دسته ایجاد نشد");
                }
            }
        })
    })
    $("#register_unit").click(function () {
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var unit_name = $("#name").val();
        $.ajax({
            url: "add_unit",
            type: "POST",
            data: {unit_name: unit_name},
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا نام واحد را وارد کنید");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   واحد با موفقیت ایجاد شد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);

                }
                else if (data == "exist") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن دسته");
                    $(".result p").html("   واحد زیر از قبل ایجاد شده است");

                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه واحد ایجاد نشد");
                }
            }
        })
    })
    $("#register_product").click(function () {
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var p_code = $("#p_code").val();
        var p_name = $("#p_name").val();
        var p_description = $("#p_description").val();
        var p_unit = $("#p_unit").val();
        var p_category = $("#p_category").val();
        var p_price = $("#p_price").val();
        $.ajax({
            url: "add_product",
            type: "POST",
            data: {
                p_code: p_code,
                p_name: p_name,
                p_description: p_description,
                p_unit: p_unit,
                p_category: p_category,
                p_price: p_price
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا فیلد های خالی رو پر کنید");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   محصول با موفقیت ایجاد شد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);
                }
                else if (data == "existProductName") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن نام محصول");
                    $(".result p").html("   محصول زیر با این نام از قبل ایجاد شده است");

                } else if (data == "existProductCode") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن شناسه محصول");
                    $(".result p").html("   محصول زیر با این شناسه از قبل ایجاد شده است");

                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه محصول ایجاد نشد");
                }
            }
        })
    })
    $("#edit_product").click(function () {
        $this = $(this);
        var edit_code = $this.data('code');
        var edit_name = $this.data('name');
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var p_code = $("#p_code").val();
        var p_name = $("#p_name").val();
        var p_description = $("#p_description").val();
        var p_unit = $("#p_unit").val();
        var p_category = $("#p_category").val();
        var p_price = $("#p_price").val();
        $.ajax({
            url: "../editProduct",
            type: "POST",
            data: {
                p_code: p_code,
                edit_code: edit_code,
                edit_name: edit_name,
                p_name: p_name,
                p_description: p_description,
                p_unit: p_unit,
                p_category: p_category,
                p_price: p_price
            },
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا فیلد های خالی رو پر کنید");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   محصول با موفقیت ویرایش شد");

                    function explode() {
                        window.location = "../edit_product/" + p_code;
                    }

                    setTimeout(explode, 3000);
                }
                else if (data == "existProductName") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن نام محصول");
                    $(".result p").html("   محصول زیر با این نام از قبل ایجاد شده است");

                } else if (data == "existProductCode") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن شناسه محصول");
                    $(".result p").html("   محصول زیر با این شناسه از قبل ایجاد شده است");

                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه محصول ویرایش نشد");
                }
            }
        })
    })
    $("#edit_category").click(function () {
        $this = $(this);
        var category_id = $this.data('code');
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var category_name = $("#name").val();
        $.ajax({
            url: "../editCategory",
            type: "POST",
            data: {category_name: category_name, category_id: category_id},
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا نام دسته را وارد کنید");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   دسته با موفقیت ویرایش شد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);

                }
                else if (data == "exist") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن دسته");
                    $(".result p").html("   دسته زیر از قبل ایجاد شده است");

                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه دسته ویرایش نشد");
                }
            }
        })
    })
    $("#edit_unit").click(function () {
        $this = $(this);
        var unit_id = $this.data('code');
        $(".result").css("display", "block");
        $(".result h4").html("<i class='fa fa-refresh fa-spin'></i> در حال پردازش");
        $(".result p").html("  صبور باشید در حال پردازش ...  !");
        var unit_name = $("#name").val();
        $.ajax({
            url: "../editUnit",
            type: "POST",
            data: {unit_name: unit_name, unit_id: unit_id},
            dataType: 'json',
            cache: false,
            success: function (data) {
                if (data == "empty") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> فیلد خالی");
                    $(".result p").html("   لطفا نام واحد را وارد کنید");
                }
                else if (data == "ok") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                    $(".result p").html("   واحد با موفقیت ویرایش شد");

                    function explode() {
                        location.reload();
                    }

                    setTimeout(explode, 3000);

                }
                else if (data == "exist") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> تکراری بودن دسته");
                    $(".result p").html("   واحد زیر از قبل ایجاد شده است");

                }
                else if (data == "no") {
                    $(".result").css("display", "block");
                    $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                    $(".result p").html("   متاسفانه واحد ویرایش نشد");
                }
            }
        })
    })
    $("#action_data a").click(function () {
        $this = $(this);
        var action = $this.data('action');
        var code = $this.data('code');
        if (action == "delete") {
            var x = confirm("از حذف دسته مورد نظر مطمئنید ؟");
            if (x == true) {
                $(".result").css("display", "block");
                $(".result p").html("<i class='fa fa-refresh fa-spin'></i> صبور باشید در حال پردازش ...  !");
                $.ajax({
                    url: 'deleteCategory',
                    type: "POST",
                    data: {id: code},
                    success: function (data) {
                        if (data == 1) {
                            $(".result").css("display", "block");
                            $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                            $(".result p").html("   دسته با موفقیت حذف شد");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 2000);
                        } else {
                            $(".result").css("display", "block");
                            $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                            $(".result p").html("   متاسفانه دسته حذف نشد");
                        }
                    }
                });
            }
            else {
                window.location.href = "";
            }
        }
        if (action == "deleteUnit") {
            var x = confirm("از حذف واحد مورد نظر مطمئنید ؟");
            if (x == true) {
                $(".result").css("display", "block");
                $(".result p").html("<i class='fa fa-refresh fa-spin'></i> صبور باشید در حال پردازش ...  !");
                $.ajax({
                    url: 'deleteUnit',
                    type: "POST",
                    data: {id: code},
                    success: function (data) {
                        if (data == 1) {
                            $(".result").css("display", "block");
                            $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                            $(".result p").html("   واحد با موفقیت حذف شد");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 2000);
                        } else {
                            $(".result").css("display", "block");
                            $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                            $(".result p").html("   متاسفانه واحد حذف نشد");
                        }
                    }
                });
            }
            else {
                window.location.href = "";
            }
        }
        if (action == "deleteProduct") {
            var x = confirm("از حذف محصول مورد نظر مطمئنید ؟");
            if (x == true) {
                $(".result").css("display", "block");
                $(".result p").html("<i class='fa fa-refresh fa-spin'></i> صبور باشید در حال پردازش ...  !");
                $.ajax({
                    url: 'deleteProduct',
                    type: "POST",
                    data: {code: code},
                    success: function (data) {
                        if (data == 1) {
                            $(".result").css("display", "block");
                            $(".result h4").html("<i class='fa fa-check'></i> عملیات موفق");
                            $(".result p").html("   محصول با موفقیت حذف شد");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 2000);
                        } else {
                            $(".result").css("display", "block");
                            $(".result h4").html("<i class='fa fa-warning'></i> عملیات ناموفق");
                            $(".result p").html("   متاسفانه محصول حذف نشد");
                        }
                    }
                });
            }
            else {
                window.location.href = "";
            }
        }
        if (action == "edit") {
            var x = confirm("می خواهید دسته را ویرایش کنید ؟");
            if (x == true) {
                window.location = "edit_category/" + code;
            }
            else {
                window.location.href = "";
            }
        }
        if (action == "editUnit") {
            var x = confirm("می خواهید واحد را ویرایش کنید ؟");
            if (x == true) {
                window.location = "edit_unit/" + code;
            }
            else {
                window.location.href = "";
            }
        }
        if (action == "editProduct") {
            var x = confirm("می خواهید محصول را ویرایش کنید ؟");
            if (x == true) {
                window.location = "edit_product/" + code;
            }
            else {
                window.location.href = "";
            }
        }
    })


})